package Lexer;

public class Symbol {
    
   public final static int
   
      EOF = 0, 
      IDENT = 1,
      NUMBER =  2,      
      PLUS = 3,         
      MINUS = 4,        
      MULT = 5,         
      DIV = 6,          
      TRUE = 7,         
      FALSE = 8,        
      FINAL = 9,          
      VOID = 10,          
      NULL = 11,         
      LT = 12,          
      LE = 13,          
      GT = 14,          
      GE = 15,          
      NEQ = 16,         
      EQ = 17,          
      ASSIGN = 18,      
      LEFTPAR = 19,     
      RIGHTPAR = 20,    
      SEMICOLON = 21,   
      COLON = 22,       
      DOT = 23,         
      IF = 24,          
      ELSE = 25,        
      WHILE = 26,       
      READ = 27,        
      WRITE = 28,       
      BREAK = 29,       
      INT = 30,         
      BOOLEAN = 31,         
      RETURN = 32,      
      CLASS = 33,       
      EXTENDS = 34,  
      SUPER = 35,       
      THIS = 36,        
      NEW = 37,         
      PUBLIC = 38,      
      PRIVATE = 39,     
      COMMA = 40, 		
      LITERALSTRING = 41,
      STRING = 42,
      AND = 43,
      OR = 44,
      LEFTCURBRACKET = 45,
      RIGHTCURBRACKET = 46,
      NOT = 47,
      LastSymbol = 48;     
    
}